#!/bin/bash -e
# requires three arguments $1 for Job name, $2 java memory and $3 program_name.jar
#seq_java_qsub_script.sh

#You can target different queues by using the -q <name-of-queue> 
#$ -q all.q

#set job name (which is shown by qstat and the web frontend)
#$ -N FirstJob 

#you must use the parameter -l mem=xx (xx is the amount in m, M, g or G of memory your job needs). if you don't use the memory request, the job will be declined by the job verifier.
#$ -l mem=2G

#Execute the job from the current working directory; important if you use relative file paths.
#$ -cwd

#Send email on job completion to <your-email> on 'a' abort and 'e' end
#$ -m ae
#$ -M <your-email>

#Makes bash the shell for the job (important if it is a shell script)
#$ -S /bin/bash

# for 'n' Do not merge STDIN and STDERR and 'y' merge STDIN and STDERR
#$ -j n

#Write output to FILE
#$ -o logs/output.$JOB_NAME.$JOB_ID.txt

#Write STDERR to FILE
#$ -e logs/output.$JOB_NAME.$JOB_ID.err

#Set priority to -1; priorities > 0 require super user rights
#$ -p -100


# Program to execute
java -Xmx1G -XX:ParallelGCThreads=1 -jar HelloWorld.jar 

# end of script file

